%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           perl-Readonly-XS
Version:        1.04
Release:        1
Summary:        Companion module for Readonly

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Readonly-XS/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RO/ROODE/Readonly-XS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
# these two are provided by our base perl package
#BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:  perl(Test::More)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:  perl >= 5.8.8
Requires:  perl-Readonly >= 1.02


%description
Readonly::XS is a companion module for Readonly, to speed up read-only
scalar variables.


%prep
%setup -q -n Readonly-XS-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/README 32bit/Changes
%{perl_vendorarch}/*
%{perl_vendorarch64}/*
%{_mandir}/man3/*


%changelog
* Sun Nov 09 2008 Michael Perzl <michael@perzl.org> - 1.04-1
- first version for AIX V5.1 and higher
